# Method: projects.datasets.list

- [HTTP request](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.request_body)
- [Response body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.ListDatasetsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/list#body.aspect_1)

List all the datasets for the specified project.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1alpha/{parent=projects/*}/datasets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project to list all the datasets for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of versions to return per page. If unspecified (or zero), all datasets will be returned. |
| `pageToken` | `string` The page token, received from a previous datasets.list call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response to list datasets for the project.

| JSON representation |
|---|
| ``` { "datasets": [ { object (`https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `datasets[]` | ``object (`https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`)`` All the datasets for the project. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `mapsplatformdatasets.datasets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).